Bug 499491 - Review Request: libtdb - spin off of samba4 package
Review Request: libtdb - spin off of samba4 package
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-06 16:55 EDT by Simo Sorce
Modified: 2010-02-23 15:42 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-19 12:51:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mbarnes: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Simo Sorce 2009-05-06 16:55:19 EDT
Spec URL: http://simo.fedorapeople.org/libtdb/libtdb.spec
SRPM URL: http://simo.fedorapeople.org/libtdb/libtdb-1.1.3-0.fc11.src.rpm
Description: Spin off libtdb from the samba4 package into its own now that
upstream has finally released a separate tarball.
The package name and versioning is consistent with what was provided by the
samba4 package so dropping this in and disabling building "tdb" from the
samba4 package should provide a seamless migration path
Comment 1 Matthew Barnes 2009-05-08 14:03:10 EDT
I got a build error with this:

  error: Installed (but unpackaged) file(s) found:
     /usr/lib/python2.6/site-packages/tdb.so

rpmlint output:

libtdb.src: I: checking
libtdb.src:58: E: files-attr-not-set
libtdb.src:59: E: files-attr-not-set
libtdb.src:60: E: files-attr-not-set
libtdb.src:63: E: files-attr-not-set
libtdb.src:64: E: files-attr-not-set
libtdb.src:65: E: files-attr-not-set
libtdb.src:68: E: files-attr-not-set
libtdb.src:69: E: files-attr-not-set
libtdb.src:71: E: files-attr-not-set
libtdb.src:72: E: files-attr-not-set

Issues to resolve:

- Missing Requires: pkgconfig.
- devel and tdb-tools files are missing a %defattr.
- Add missing Python library or disable Python bindings.
Comment 2 Simo Sorce 2009-05-08 18:59:13 EDT
Ok uploaded new spec and srpm

The python bindings are not normally built in mock/koji as python devel stuff is not listed in devel dependencies but I removed the file as a convenience for people that rebuilds on their machine.

Fixed Requires
Fixed %defattr
Comment 3 Matthew Barnes 2009-05-08 22:35:51 EDT
Looks okay to me.  Approved.
Comment 4 Simo Sorce 2009-05-09 10:20:13 EDT
New Package CVS Request
=======================
Package Name: libtdb
Short Description: A library that implements a trivial database.
Owners: simo gd
Branches: F11
InitialCC:
Comment 5 Kevin Fenzi 2009-05-09 17:05:06 EDT
cvs done.
Comment 6 Matthew Barnes 2009-06-19 12:51:02 EDT
Closing this.
Comment 7 Stephen Gallagher 2010-02-23 13:56:45 EST
Package Change Request
======================
Package Name: libtdb
New Branches: EL-5
Owners: sgallagh

This is being branched in preparation for building the SSSD in EPEL. (libtdb is a dependency)

I have simo's permission to become the EPEL maintainer for this package.
Comment 8 Jason Tibbitts 2010-02-23 15:01:10 EST
CVS done.
Comment 9 Fedora Update System 2010-02-23 15:42:33 EST
libtdb-1.2.0-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libtdb-1.2.0-1.el5

Note You need to log in before you can comment on or make changes to this bug.